#!/usr/bin/env node
const yargs = require('yargs');
const chalk = require('chalk');
const boxen = require('boxen');
const chalkAnimation = require('chalk-animation');


const package = require('../package.json');
const commands = require('./commands');

const usage = chalk.hex('#ff0000')(`
  Usage: vgcli <command> <options>
`);

const options = yargs
      .usage(usage)
      .option('create-react-app', {
        alias: 'cra',
        describe: 'Create a new React.js Application scaffolding copy',
        type: 'string',
        demandOption: false,
      })
      .help(true)
      .argv;

  if(yargs.argv._[0] === 'create-react-app' || yargs.argv._[0] === 'cra'){
    commands.createReactApp(yargs);
  }

  if(yargs.argv._[0] == null){
    chalkAnimation.rainbow(`
    Vision Group CLI ${package.version}.
    `);

    setTimeout(() => {
        console.log('');
    }, 1000);
      return;
  }
